Bug 18571 - Tapset support and test coverage for bpf and seccomp syscalls.
Summary: Tapset support and test coverage for bpf and seccomp syscalls.
Status: RESOLVED FIXED
Alias: None
Product: systemtap
Classification: Unclassified
Component: tapsets (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Unassigned
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-22 10:14 UTC by Martin Cermak
Modified: 2015-06-26 09:21 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
proposed patch (2.34 KB, patch)
2015-06-24 08:06 UTC, Martin Cermak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Cermak 2015-06-22 10:14:33 UTC
The bpf syscall needs tapset support and test coverage. Syscall seccomp needs test coverage.
Comment 1 Martin Cermak 2015-06-24 08:06:03 UTC
Created attachment 8386 [details]
proposed patch
Comment 2 David Smith 2015-06-24 13:56:35 UTC
In general the patch looks fine to me. However, I'm not sure about this change:

====
- uargs = user_string_quoted($uargs)
+ uargs = $uargs
====

I think you are on the right path here, that is an address, not a string. However, I think you should go a bit farther, deprecate the old string usage and rename the convenience variable to 'uargs_uaddr' to make sure users know this is a user address. The code would look something like:

====
%( systemtap_v <= "2.8" %?
   uargs = user_string_quoted($uargs)
%)
   uargs_uaddr = $uargs
====

You would also need to make changes when printing the argstr (using the new variable name) and update the corresponding nd_syscall code.
Comment 3 Martin Cermak 2015-06-26 09:21:51 UTC
Fixed in commit a7396f637e7c0c9083281b562d514506c465fc02